#ifndef XML_BROWSER_H
#define XML_BROWSER_H

#include <QMainWindow>
#include <QStandardItem>
#include <QStandardItemModel>
#include <QStringList>
#include <QString>
#include <QFile>
#include <QTextEdit>
#include "xml_parser.h"
#include  <QXmlQuery>
#include <QtXmlPatterns>


class Xml_Browser : public QMainWindow
{
    Q_OBJECT
private slots:
    void set_current_file(QFile*);
    void tree();
    void load_xq();
    void execute();
private:
    xml_parser* main_Parser;
    QMenu* main_Menu;
    QDockWidget *query_document;
    QTextEdit *query_txt;
    xml_parser* result_parser;
    QFile* result_File;
    QFile* current_File;


public:
    Xml_Browser(QWidget *parent = nullptr);
    ~Xml_Browser();
};
#endif // XML_BROWSER_H
